
Foreman - Bug #5205

Build PXE default button has broken link

04/15/2014 02:26 PM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Web Interface   

Target version: 1.5.0   

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

In Foreman 1.4 I see the link to be rendered as

https://foreman.virtual.lan/config_templates/build_pxe_default

 On Foreman develop I only see:

https://foreman.virtual.lan/config_templates

 GET /config_templates is apparently not generating what it should. Regression, needs to be in 1.5.

Related issues:

Has duplicate Foreman - Bug #5259: Regressions in IPMI/BMC integration Duplicate 04/21/2014

Associated revisions

Revision 381cb242 - 04/25/2014 09:48 AM - Lukas Zapletal

fixes #5205 - fixed all authorized links with given action

Revision 2a52b09a - 04/28/2014 11:51 AM - Lukas Zapletal

fixes #5205 - fixed all authorized links with given action

(cherry picked from commit 381cb242f837bca223d6beb467fa978b2978e80b)

History

#1 - 04/15/2014 02:41 PM - Dominic Cleal

- translation missing: en.field_release set to 4

#2 - 04/16/2014 10:38 AM - Lukas Zapletal

- Status changed from New to Ready For Testing

- Assignee set to Lukas Zapletal

- Difficulty set to easy

https://github.com/theforeman/foreman/pull/1383

#3 - 04/24/2014 10:22 AM - Anonymous

- Target version changed from 1.8.4 to 1.8.3

#4 - 04/24/2014 10:22 AM - Anonymous

- Target version changed from 1.8.3 to 1.8.4

#5 - 04/24/2014 10:25 AM - Anonymous

- Target version changed from 1.8.4 to 1.8.3
https://github.com/theforeman/foreman/pull/1383


#6 - 04/25/2014 10:31 AM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 381cb242f837bca223d6beb467fa978b2978e80b.

#7 - 05/06/2014 04:20 PM - Dominic Cleal

- Has duplicate Bug #5259: Regressions in IPMI/BMC integration added
